Last modified: 2014-07-30 15:35:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61167 - Review and deploy Popups extension (Hovercards feature) to Wikimedia wikis
Review and deploy Popups extension (Hovercards feature) to Wikimedia wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 61742 61743
Blocks: 31235 503
  Show dependency treegraph
 
Reported: 2014-02-11 06:14 UTC by Prateek Saxena
Modified: 2014-07-30 15:35 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Prateek Saxena 2014-02-11 06:14:03 UTC
The Popups extension displays popups with summaries of article contents when the user hovers over an article link.

This is an initiative of the Design team, to move popular Gadgets into Beta Features. Mockups and more information available at - https://www.mediawiki.org/wiki/Beta_Features/Hovercards

Extension: https://www.mediawiki.org/wiki/Extension:Popups
Bugzilla: https://bugzilla.wikimedia.org/buglist.cgi?component=Popups
Gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Popups
Design Discussion: https://www.mediawiki.org/wiki/Talk:Beta_Features/Hovercards
Comment 1 Greg Grossmeier 2014-02-21 00:15:11 UTC
== TODO/Check list ==
Extension page on mediawiki.org: https://www.mediawiki.org/wiki/Extension:Popups
Bugzilla component: https://bugzilla.wikimedia.org/buglist.cgi?component=Popups
Extension in Gerrit: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/Popups
Design Review: https://www.mediawiki.org/wiki/Talk:Beta_Features/Hovercards
Archeticecture/Performance Review: no
Security Review: no
Community support: this is a BF, not needed right now/yet
Comment 2 Greg Grossmeier 2014-03-14 15:27:22 UTC
For completeness' sake:

The security and Perf/Arch reviews have been (successfully) done.

This extension is ready to be deployed *as a Beta Feature*. This is tentatively scheduled for Wednesday the 19th.

If/when it is planned to be promoted to a full extension on the Wikimedia wikis, another performance review will be needed.
Comment 3 Tomasz W. Kozlowski 2014-03-15 19:03:32 UTC
(In reply to Greg Grossmeier from comment #2)

> This extension is ready to be deployed *as a Beta Feature*. This is
> tentatively scheduled for Wednesday the 19th.

On what wikis?
Comment 4 Tomasz W. Kozlowski 2014-03-18 20:16:35 UTC
(In reply to Tomasz W. Kozlowski from comment #3)

> On what wikis?

It will be enabled on MediaWiki.org, Tomasz.
Comment 5 Gerrit Notification Bot 2014-03-19 05:25:52 UTC
Change 119445 had a related patch set uploaded by Spage:
Enable Popups (Hovercards) on mediawiki.org

https://gerrit.wikimedia.org/r/119445
Comment 6 Gerrit Notification Bot 2014-03-19 07:50:59 UTC
Change 119447 had a related patch set uploaded by Spage:
Add Popups (Hovercards) extension

https://gerrit.wikimedia.org/r/119447
Comment 7 Gerrit Notification Bot 2014-03-19 09:08:17 UTC
Change 119450 had a related patch set uploaded by Spage:
Add Popups extension

https://gerrit.wikimedia.org/r/119450
Comment 8 Gerrit Notification Bot 2014-03-19 09:17:35 UTC
Change 119451 had a related patch set uploaded by Spage:
Add Popups extension

https://gerrit.wikimedia.org/r/119451
Comment 9 Gerrit Notification Bot 2014-03-19 21:28:38 UTC
Change 119450 merged by jenkins-bot:
Add Popups extension

https://gerrit.wikimedia.org/r/119450
Comment 10 Gerrit Notification Bot 2014-03-19 21:44:29 UTC
Change 119451 merged by jenkins-bot:
Add Popups extension

https://gerrit.wikimedia.org/r/119451
Comment 11 Gerrit Notification Bot 2014-03-19 22:01:56 UTC
Change 119646 had a related patch set uploaded by Spage:
Add new Popups extension to list

https://gerrit.wikimedia.org/r/119646
Comment 12 Gerrit Notification Bot 2014-03-19 22:09:34 UTC
Change 119646 merged by jenkins-bot:
Add new Popups extension to list

https://gerrit.wikimedia.org/r/119646
Comment 13 Gerrit Notification Bot 2014-03-19 23:34:42 UTC
Change 119445 merged by jenkins-bot:
Enable Popups (Hovercards) on mediawiki.org

https://gerrit.wikimedia.org/r/119445
Comment 14 Gerrit Notification Bot 2014-03-19 23:41:05 UTC
Change 119447 merged by jenkins-bot:
Add Popups (Hovercards) extension

https://gerrit.wikimedia.org/r/119447
Comment 15 spage 2014-03-20 04:39:19 UTC
The Popups Beta Feature was enabled on mediawiki.org 2014-03-20 00:00 UTC.

I'm leaving this bug open because the next step is to enable the Popups Beta Feature on more/all wikis.
Comment 16 Tomasz W. Kozlowski 2014-03-20 19:25:47 UTC
(In reply to spage from comment #15)

> I'm leaving this bug open because the next step is to enable the Popups Beta
> Feature on more/all wikis.

When?
Comment 17 Kunal Mehta (Legoktm) 2014-07-30 01:33:28 UTC
AFAIS the extension is already deployed everywhere? <https://wikiapiary.com/wiki/Extension:Popups>. Can this be closed now?
Comment 18 Greg Grossmeier 2014-07-30 05:25:50 UTC
(In reply to Kunal Mehta (Legoktm) from comment #17)
> AFAIS the extension is already deployed everywhere?
> <https://wikiapiary.com/wiki/Extension:Popups>. Can this be closed now?

As a Beta Feature. Keeping open for the last remaining bit before graduating to non-Beta Feature; a second performance review:

https://bugzilla.wikimedia.org/show_bug.cgi?id=61167#c2
or
https://bugzilla.wikimedia.org/show_bug.cgi?id=61742#c7
for reference.
Comment 19 Kunal Mehta (Legoktm) 2014-07-30 05:33:34 UTC
(In reply to Greg Grossmeier from comment #18)
> (In reply to Kunal Mehta (Legoktm) from comment #17)
> > AFAIS the extension is already deployed everywhere?
> > <https://wikiapiary.com/wiki/Extension:Popups>. Can this be closed now?
> 
> As a Beta Feature. Keeping open for the last remaining bit before graduating
> to non-Beta Feature; a second performance review:
> 
> https://bugzilla.wikimedia.org/show_bug.cgi?id=61167#c2
> or
> https://bugzilla.wikimedia.org/show_bug.cgi?id=61742#c7
> for reference.

Hm, gotcha. That's a bit confusing though, maybe we should have a different bug for "Graduate Hovercards from BetaFeatures and maybe expand deployment?"
Comment 20 Greg Grossmeier 2014-07-30 15:35:33 UTC
(In reply to Kunal Mehta (Legoktm) from comment #19)
> Hm, gotcha. That's a bit confusing though, maybe we should have a different
> bug for "Graduate Hovercards from BetaFeatures and maybe expand deployment?"

You're right, I was just lazy yesterday. done.

https://bugzilla.wikimedia.org/show_bug.cgi?id=68860

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links